--
-- Camera Suspension
--
-- @author Archduke of Modding
-- @version 1.1.0.0
-- @date 27/11/2020

InitRoyalMod(Utils.getFilename("lib/rmod/", g_currentModDirectory))
InitRoyalUtility(Utils.getFilename("lib/utility/", g_currentModDirectory))

CameraSuspension = RoyalMod.new(false)

function CameraSuspension:initialize()
    addConsoleCommand("csToggleCameraSuspension", "Toggle camera suspension.", "consoleCommandToggleCameraSuspension", self)

    source(Utils.getFilename("SuspensionsExtension.lua", self.directory))
    source(Utils.getFilename("VehicleCameraExtension.lua", self.directory))
end

function CameraSuspension:consoleCommandToggleCameraSuspension()
    VehicleCameraExtension.enabled = not VehicleCameraExtension.enabled
    print("csToggleCameraSuspension = " .. tostring(VehicleCameraExtension.enabled))
end
